using File_Folder_Helper.Models;
using Microsoft.Extensions.Logging;

namespace File_Folder_Helper.Helpers;

internal static class HelperDay
{

    internal static void Select(AppSettings appSettings, ILogger<Worker> logger, List<string> args, CancellationToken cancellationToken)
    {
        logger.LogInformation("X) Day Helpers,");
        if (args[1] == "Day-Helper-2023-09-06")
            Day.Helper20230906.SaveJson(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-10-10")
            Day.Helper20231010.HgCV(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-10-16")
            Day.Helper20231016.MoveDirectory(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-10-24")
            Day.Helper20231024.NetUse(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-11-02")
            Day.Helper20231102.NuSpec(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-11-08")
            Day.Helper20231108.MasterImage(logger, args);
        else if (args[1] == "Day-Helper-2023-11-22")
            Day.Helper20231122.ProcessDataStandardFormat(logger, args);
        else if (args[1] == "Day-Helper-2023-11-28")
            logger.LogError("{arg} - has been migrated to File-Watcher", args[1]);
        else if (args[1] == "Day-Helper-2023-11-30")
            Day.Helper20231130.RenameReactorProcessDataStandardFormatFiles(logger, args);
        else if (args[1] == "Day-Helper-2023-12-05")
            Day.Helper20231205.SplitMarkdownFile(logger, args);
        else if (args[1] == "Day-Helper-2023-12-12")
            logger.LogError("{arg} - was deleted on 2024-04-08", args[1]);
        else if (args[1] == "Day-Helper-2023-12-22")
            Day.Helper20231222.ConvertId(logger, args);
        else if (args[1] == "Day-Helper-2024-01-05")
            Day.Helper20240105.ConvertKeePassExport(logger, args);
        else if (args[1] == "Day-Helper-2024-01-06")
            Day.Helper20240106.TextToJson(logger, args);
        else if (args[1] == "Day-Helper-2024-01-07")
            Day.Helper20240107.DirectoryToISO(logger, args);
        else if (args[1] == "Day-Helper-2024-01-08")
            Day.Helper20240108.SortCodeMethods(logger, args, cancellationToken);
        else if (args[1] == "Day-Helper-2024-01-27")
            logger.LogError("{arg} - has been migrated to Clipboard_Send_Keys", args[1]);
        else if (args[1] == "Day-Helper-2024-01-29")
            Day.Helper20240129.JsonToTsv(logger, args);
        else if (args[1] == "Day-Helper-2024-03-05")
            Day.Helper20240305.ArchiveFiles(logger, args);
        else if (args[1] == "Day-Helper-2024-04-03")
            Day.Helper20240403.AlertIfNewDeviceIsConnected(logger, args);
        else if (args[1] == "Day-Helper-2024-04-04")
            Day.Helper20240404.ParseCSV(logger, args);
        else if (args[1] == "Day-Helper-2024-04-09")
            Day.Helper20240409.MonA(logger, args);
        else if (args[1] == "Day-Helper-2024-04-17")
            Day.Helper20240417.FilteredRunCommand(logger, args, cancellationToken);
        else if (args[1] == "Day-Helper-2024-04-26")
            Day.Helper20240426.UpdateTests(logger, args);
        else if (args[1] == "Day-Helper-2024-04-27")
            Day.Helper20240427.Immich(appSettings, logger, args);
        else if (args[1] == "Day-Helper-2024-04-29")
            Day.Helper20240429.GitConfigCleanUp(logger, args);
        else if (args[1] == "Day-Helper-2024-05-10")
            Day.Helper20240510.PullIconsForBLM(logger, args);
        else if (args[1] == "Day-Helper-2024-05-13")
            Day.Helper20240513.PersonKeyToName(logger, args);
        else if (args[1] == "Day-Helper-2024-05-17")
            Day.Helper20240517.SaveAmazon(logger, args);
        else if (args[1] == "Day-Helper-2024-05-18")
            Day.Helper20240518.PersonKeyToImmichImport(logger, args);
        else if (args[1] == "Day-Helper-2024-05-19")
            Day.Helper20240519.FindReplaceDirectoryName(logger, args);
        else if (args[1] == "Day-Helper-2024-05-20")
            Day.Helper20240520.IdentifierRename(logger, args);
        else if (args[1] == "Day-Helper-2024-06-23")
            Day.Helper20240623.UpdateSubTasksInMarkdownFiles(logger, args);
        else if (args[1] == "Day-Helper-2024-06-24")
            Day.Helper20240624.MoveUpOneDirectory(logger, args);
        else if (args[1] == "Day-Helper-2024-07-11")
            Day.Helper20240711.GitRemoteRemove(logger, args);
        else if (args[1] == "Day-Helper-2024-07-18")
            Day.Helper20240718.JsonToMarkdown(logger, args);
        else if (args[1] == "Day-Helper-2024-07-24")
            Day.Helper20240724.CopyDirectories(logger, args);
        else if (args[1] == "Day-Helper-2024-07-28")
            Day.Helper20240728.DownloadSslCertificates(logger, args);
        else if (args[1] == "Day-Helper-2024-08-05")
            Day.Helper20240805.RenameFiles(logger, args);
        else if (args[1] == "Day-Helper-2024-08-06")
            Day.Helper20240806.ArchiveFiles(logger, args);
        else
            throw new Exception(appSettings.Company);
    }

}